<?php
/**
 * Other options
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

function alurra_customize_register_other( $wp_customize ) {
    
    $wp_customize->add_section( 'alurra_other_settings', array(
            'title'      => esc_html__( 'Other Options', 'alurra' ),
            'priority'   => 38,
            'capability' => 'edit_theme_options',
        ) );
 
  // Footer Copyright
  $wp_customize->add_setting( 'alurra_copyright', array(
      'default' => esc_html__( 'Your Name Here', 'alurra' ),
      'sanitize_callback' => 'wp_kses_post',
      'transport' => 'postMessage'
    ) );
 
  $wp_customize->add_control( 'alurra_copyright', array(
        'type'    => 'text',
        'label'   => esc_html__( 'Copyright Name', 'alurra' ),
        'description' => esc_html__( 'Enter your name, website name, or company name [ no html ].', 'alurra' ),
        'section' => 'alurra_other_settings',
      ) );

	// Hide top social bar
	$wp_customize->add_setting( 'alurra_hide_header_search', array(
		'default'           => 0,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'alurra_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Alurra_Toggle_Control( $wp_customize, 'alurra_hide_header_search', array(
		'label'    => esc_html__( 'Hide the Header Search Icon', 'alurra' ),
		'description' => esc_html__( 'Show or hide the header image search icon.', 'alurra' ),
		'section'  => 'alurra_other_settings',
	) ) );  

	// Hide banner captions
	$wp_customize->add_setting( 'alurra_hide_banner_captions', array(
		'default'           => 0,
		'sanitize_callback' => 'alurra_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Alurra_Toggle_Control( $wp_customize, 'alurra_hide_banner_captions', array(
		'label'    => esc_html__( 'Hide Banner Captions', 'alurra' ),
		'description' => esc_html__( 'Show or hide the banner sidebar image captions when using the image widget.', 'alurra' ),
		'section'  => 'alurra_other_settings',
	) ) );  
	
	// Hide edit link
	$wp_customize->add_setting( 'alurra_hide_edit', array(
		'default'           => 0,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'alurra_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Alurra_Toggle_Control( $wp_customize, 'alurra_hide_edit', array(
		'label'    => esc_html__( 'Hide Edit Link', 'alurra' ),
		'description' => esc_html__( 'Show or hide the edit link from posts and pages. This will not show in the Customizer.', 'alurra' ),
		'section'  => 'alurra_other_settings',
	) ) );  

	
}
add_action( 'customize_register', 'alurra_customize_register_other' );
