<?php
/**
 * Theme Customizer main file
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
		
// Get the theme customizer panels & sections
$alurra_panels = array( 'info', 'site', 'layout', 'blog', 'header', 'post', 'color', 'typography', 'other', 'labels' );

foreach( $alurra_panels as $panel ){
    require get_template_directory() . '/inc/customizer/customizer-sections/' . $panel . '.php';
}

// Sanitization Functions
require get_template_directory() . '/inc/customizer/sanitization-functions.php';


// Add customizer stylesheet to the admin
function alurra_customizer_styles() {
  wp_enqueue_style( 'admin-style', get_stylesheet_directory_uri() . '/assets/css/customizer.css' );
}
add_action( 'admin_enqueue_scripts', 'alurra_customizer_styles');


// Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
function alurra_customize_preview_js() {
	wp_enqueue_script( 'alurra-customizer', get_template_directory_uri() . '/assets/js/customizer.js', array( 'customize-preview' ), null, true );
}
add_action( 'customize_preview_init', 'alurra_customize_preview_js' );



/* CUSTOMIZER BLOG LAYOUT
	Set our blog layout options in the dropdown field
   ====================================================*/ 
function alurra_blog_layout_options() {
	return apply_filters( 'alurra_blog_layout_options', array (
			'classic-right' => esc_html__( 'Classic Right Sidebar', 'alurra' ),
			'classic-left'  => esc_html__( 'Classic Left Sidebar', 'alurra' ),
			'center' => esc_html__( 'Centered', 'alurra' ),
	));
}

/* CUSTOMIZER POST LAYOUT
	Set our full post layout options
   ====================================================*/
function alurra_post_layout_options() {
	return apply_filters( 'alurra_post_layout_options', array (
			'classic-right' => esc_html__( 'Classic Right Sidebar', 'alurra' ),
			'classic-left' => esc_html__( 'Classic Left Sidebar', 'alurra' ),
            'center' => esc_html__( 'Centered - No Sidebars', 'alurra' ),
	));
}
 