<?php
/**
 * Theme header layouts
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


/* HEADER LAYOUT
	When using the WP Custom Header Image - on all pages.
   ====================================================*/
if (!function_exists('alurra_header_layout')) :
	function alurra_header_layout()
	{

		// Get our header layout	if active
		if ( has_custom_header() && !esc_attr(get_theme_mod( 'alurra_header_image_fp', 0 )) && !is_active_sidebar( 'banner'  )) {
			// display on all pages that do not have a banner image but is active
			alurra_wp_header_image(); 
			
		} elseif ( has_custom_header() && esc_attr(get_theme_mod( 'alurra_header_image_fp', 0 )) && is_front_page() && !is_active_sidebar( 'banner'  )) {
			// display only on the front page if active
			alurra_wp_header_image();
	
		} else {
			// display only the basic header when no image or banner is active
			alurra_basic_header_layout();
		}

	}
endif;
