<?php 
/**
 * The template for displaying the full post single layout
 * This template is for the layouts with a left or right sidebar and also no sidebar.
 * @package Alurra
 * @since 1.0.0
 */
 
 if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}  

$alurra_single_layout = get_theme_mod( 'alurra_single_layout', 'center' );	
?>

		<div class="<?php 
		if( $alurra_single_layout === 'classic-left' ) {
			echo 'col-lg-8 order-lg-2'; 
		} elseif($alurra_single_layout === 'classic-right' ) {
			echo 'col-lg-8'; 
		} else {
			echo 'col';
		} 
		?>">
			
			<?php
			if ( have_posts() ) :
			
				// Start the loop.
				while ( have_posts() ) : the_post();

				/*
				* Include the post format-specific template for the content. If you want to
				* use this in a child theme, then include a file called called content-___.php
				* (where ___ is the post format) and that will be used instead.
				*/
				get_template_part( 'template-parts/content/content-single');

				// Author bio.
				if ( get_the_author_meta( 'description' ) && is_singular( 'post' ) && !esc_attr( get_theme_mod( 'alurra_hide_author_bio', 1 )) ) {
					get_template_part( 'template-parts/content/author-bio' );
				}

				// action hook for any content placed after the post author bio area
				do_action ( 'alurra_after_author_bio' );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

				// End the loop.
				endwhile;
				
			endif;
			?>

		</div>

		
		<?php if( $alurra_single_layout == 'classic-left' || $alurra_single_layout == 'classic-right' ) : ?>	
		
		<aside id="blog-sidebar" class="<?php 
		if( $alurra_single_layout === 'classic-left' ) {
			echo 'col-lg-4 order-2 order-lg-1 widget-area'; 
		} elseif($alurra_single_layout === 'classic-right' ) {
			echo 'col-lg-4 widget-area'; 
		} 
		?>">
			
			<?php // action hook for any content placed before the right sidebar widgets
			do_action ( 'alurra_before_right_sidebar_widgets' );
			
			get_sidebar(); 

			// action hook for any content placed after the right sidebar widgets
			do_action ( 'alurra_after_right_sidebar_widgets' );					
			?>						
			</aside>
			
		<?php endif; ?>